/*
==============================================================================
Program:         INDEXCOND
FileName:        NTXTEST.PRG
Version:         1.0
Author:          Sammy Smith of Data Management Systems
Notice:          Copyright 1992 - Data Management Systems
Creation Date:   08/11/92
Creation Time:   03:14pm
Complete Date:   08/11/92
Release:
Compile:         Clipper ntxtest -l
Link:            rtlink fi ntxtest,condkey lib clipper
Notes:           You must link in the CONDKEY.OBJ to use the IndexCond()
                 You must be using the DBFNTX.LIB driver, Version 2.0.  The
                 originally released DBFNTX.LIB will not allow conditional
                 index expressions.


Revision Date:   99/99/99
Revision Author:
Revision Notes:



==============================================================================
*/

#include "dbfntx.ch"
nCount   := 2
nPage    := 1
nItem    := 0
mx       := 0
cCond1   := ""
cCond2   := ""
cCond3   := ""
cExError = "File is opened for EXCLUSIVE USE"  // This should not occurr,
                                               // if proper housekeeping is
                                               // maintained.



use ordrhead new SHARED

index on ohnameno to oname1
set index to


index on ohnameno to oname2 for ohtdno = "000002"
set index to


index on ohnameno to oname3 for ohtdno = "000003"
set index to
use

IndexCond("oname1.ntx")
IndexCond("oname2.ntx")
IndexCond("oname3.ntx")

use ordrhead new index oname2 EXCLUSIVE
@00,00 clear
@0,0 clear
? "Index Key: ohnameno for ohtdno = '000002'  Page"+str(npage)
While !Eof()
   nItem++
   @nCount,00 say "Item "+ltrim(str(nitem))
   @nCount,20 say "Rec  "+ltrim(str(recno()))
   @nCount,30 say ohnameno
   @nCount,60 say ohtdno
   nCount++
   If nCount >=23
      @24,20 say "End of Page - Press any key [ESC] to go to next test..."
      mx := inkey(0)
      if mx == 27
         exit
      endif
      @0,0 clear
      nPage++
      ? "Index Key: ohnameno for ohtdno = '000002'  Page"+str(npage)
      nCount := 2
   Endif
   Skip 1
Enddo
@24,00 say "End of test 1 - press any key for test 2 ..."
inkey(0)

nItem  := 0
nPage  := 1
nCount := 2

set index to
use
use ordrhead new index oname3 EXCLUSIVE
@00,00 clear
? "Index Key: ohnameno for ohtdno = '000003'  Page"+str(npage)
While !Eof()
   nItem++
   @nCount,00 say "Item "+ltrim(str(nitem))
   @nCount,20 say "Rec  "+ltrim(str(recno()))
   @nCount,30 say ohnameno
   @nCount,60 say ohtdno
   nCount++
   If nCount >=23
      @24,20 say "End of Page - Press any key  [ESC] to quit..."
      mx := inkey(0)
      if mx == 27
        Exit
      endif
      @0,0 clear
      nPage++
      ? "Index Key: ohnameno for ohtdno = '000003'  Page"+str(npage)
      nCount := 2
   Endif
   Skip 1
Enddo

set index to
use
use ordrhead new index oname1, oname2, oname3 EXCLUSIVE
@0,0 clear
cCond1 := IndexCond("oname1.ntx")
? "Index Expression for oname1 is: "+indexkey(1)
? "Conditional Expression is:     ["+ If(cCond1=Chr(0),cExError,cCond1) + "]"
?
?


cCond2 := IndexCond("oname2.ntx")
? "Index Expression for oname2 is: "+indexkey(2)
? "Conditional Expression is:     ["+ If(cCond2=Chr(0),cExError,cCond2) + "]"
?
?


cCond3 := IndexCond("oname3.ntx")
? "Index Expression for oname3 is: "+indexkey(3)
? "Conditional Expression is      [" + If(cCond3=Chr(0),cExError,cCond3) + "]"
?
?
? "----------------------------------------------------------------"
set order to 1
goto 180
? ohnameno,ohtdno
? "=========================="
?

set order to 2
goto 57
? ohnameno,ohtdno
? "=========================="
?

close database
Quit
